Blue Guardrails

Get Issues Timeseries

Track message volume and issues over time.

GET
/v1/analytics/issues-timeseries

Query Parameters

start*string

Start of time range (inclusive)

Formatdate-time
end*string

End of time range (exclusive)

Formatdate-time
filter[conversation_tags][any]?array<>|

Filter by tag selectors (key or key=value), matching any selector

filter[run_tags][any]?array<>|

Filter by agent run tag selectors (key or key=value), matching any selector

bucket?string

Time bucket granularity for aggregation

Default"hour"
Value in"minute" | "10_minutes" | "hour" | "day"

Header Parameters

x-workspace-id?|

Workspace UUID for session-authenticated calls.

Response Body

application/json

application/json

curl -X GET "https://loading/v1/analytics/issues-timeseries?start=2019-08-24T14%3A15%3A22Z&end=2019-08-24T14%3A15%3A22Z"
[
  {
    "timestamp": "2019-08-24T14:15:22Z",
    "total_messages": 0,
    "total_evaluated_messages": 0,
    "with_issues": 0,
    "without_issues": 0
  }
]
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string"
    }
  ]
}